<!doctype html>
<html>
    <head>
        <title>Todo lists</title>
    </head>
    <body>
        <main>
            <div>
                <h1>My Lists</h1>
                <p>
                    <a href="{% url "todo_list_create" %}">Create a new list</a>
                </p>
                <p>
                    <a href="{% url "todo_item_create" %}">Create a new item</a>
                </p>
                <table>
                    <thead>
                        <tr>
                            <th>Name</th>
                            <th>Number of items</th>
                        </tr>
                    </thead>
                    <tbody>
                        {% for todo_list in todo_lists %}
                        <tr>
                            <td>
                                <a href="{% url "todo_list_detail" todo_list.id %}">{{todo_list.name}}
                            </td>
                            <td>{{todo_list.items.count}}</td>
                        </tr>
                        {% endfor %}
                    </tbody>
                </table>
            </div>
        </main>
    </body>
</html>
